Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.envers
Annotation Type AuditJoinTable

    @Retention(value=RUNTIME)
    @Target(value={FIELD,METHOD})
    public @interface AuditJoinTable

Optional Element Summary
`String` | `catalog`
`JoinColumn[]` | `inverseJoinColumns`
`String` | `name`
`String` | `schema`

### name

    public abstract String name

  Returns:
    Name of the join table. Defaults to a concatenation of the names of the primary table of the entity owning the association and of the primary table of the entity referenced by the association.
  Default:
    ""

### schema

    public abstract String schema

  Returns:
    The schema of the join table. Defaults to the schema of the entity owning the association.
  Default:
    ""

### catalog

    public abstract String catalog

  Returns:
    The catalog of the join table. Defaults to the catalog of the entity owning the association.
  Default:
    ""

### inverseJoinColumns

    public abstract JoinColumn[] inverseJoinColumns

  Returns:
    The foreign key columns of the join table which reference the primary table of the entity that does not own the association (i.e. the inverse side of the association).
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.